import { Component, OnInit, Input } from '@angular/core';

@Component({
  selector: 'jhi-exercise-metadata-list-item',
  templateUrl: './exercise-metadata-list-item.component.html',
  styleUrls: ['./exercise-metadata-list-item.component.scss'],
})
export class ExerciseMetadataListItemComponent implements OnInit {
  @Input() description: string | undefined;
  @Input() value: string[] | undefined;
  @Input() treatAsHTML = false;

  constructor() {}

  ngOnInit(): void {}

  public arrayToString(array: string[]): string {
    let result = '';
    let i = 1;
    array.forEach(element => {
      if (array.length > 1 && array.length !== i) {
        result += element + ', ';
      } else {
        result += element;
      }
      if (i % 5 === 0) {
        result += '<br>';
      }
      i++;
    });
    return result;
  }
}
